Std AnsichtRechtsDrehen

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Std ViewRotateRight and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎polski • ‎română • ‎русский

Std ViewRotateRight.svg Std_DrehenRechts

Menüeintrag
Ansicht→ Standardansichten → Rechtsherum rotieren
Arbeitsbereich
Alle
Standardtastenkürzel
Umschalten + Rechts
Eingeführt in Version
-
Siehe auch
Std AnsichtLinksDrehen

Beschreibung

Der Std AnsichtRechtsDrehen Befehl dreht die Kamera in die aktive 3D Ansicht um die Ansichtsrichtung in 90-Grad Schritten nach rechts (im Uhrzeigersinn).

Anwendung

  1. Es gibt verschiedene Wege, den Befehl umzusetzen:
    • Wähle die Ansicht → Standardansichten → Std ViewRotateRight.svg Rechts drehen Option aus dem Menü.
    • Wähle die Standardansichten → Std ViewRotateRight.svg Rechts drehen aus dem Menü.
    • Wähle die Standardansichten → Std ViewRotateRight.svg Rechts drehen aus dem 3D Ansicht Kontextmenü.
    • Verwende das Tastaturkürzel: Shift+Rechts.

Skripten

Siehe auch: FreeCAD Grundlagen Skripten.

Um die Ansicht nach rechts zu drehen verwende die viewRotateRight Methode des aktiven Ansichtobjekts. Diese Methode ist nicht verfügbar, wenn FreeCAD im Konsolenmodus nicht.

import FreeCADGui

FreeCADGui.ActiveDocument.ActiveView.viewRotateRight()
FreeCADGui.ActiveDocument.ActiveView.getCameraOrientation()